Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6775 - mpg123 with esd makes an mp3 sound scratchy
Summary: mpg123 with esd makes an mp3 sound scratchy
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: esound
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-06 12:16 UTC by egalanos.
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-03 19:39:25 UTC


Attachments (Terms of Use)

Description egalanos. 1999-11-06 12:16:08 UTC
A very high priority bug :)

mpg123r as shipped with RH6.1 makes one particular mp3 I
have sound scratchy. What should have been an sinusoidal
base sound turns into a static scratch sound. I downloaded
mpg123r and compiled it. It does not show this problem when
compiled as normal (ie using /dev/dsp directly). When
compiled against esd (after patch to audio_esd.c to make it
compile ie esdserver -> NULL), it then makes the mp3 sound
bad. mp3 is a standard 44kHz MPEG1 layer 3, 128kbps joint
stereo file.

Comment 1 Bill Nottingham 1999-11-22 16:33:59 UTC
Can you post a sample mp3 that shows this?

Comment 2 egalanos. 1999-11-23 00:41:59 UTC
Sample at

ftp://ftp.cse.unsw.edu.au/pub/users/egalanos/test.mp3

Comment 3 Mario Lorenz 1999-11-23 20:03:59 UTC
This .mp3 is not 44khz, its 48khz. Which kinda explains whats happening. ESD's
mixing routines dont handle anything != 44khz very well. This could be
considered an esd bug/unimplemented feature. Either esd needs to be fixed or
replaced by something else (alsa should become usable soon, and even then, nas
was the older standard for doing network audio / mixing)

Comment 4 Michael Fulbright 1999-12-03 19:39:59 UTC
There are community efforts to replace esd in progress, but this is not
something we can fix in the short term.


Note You need to log in before you can comment on or make changes to this bug.